Package org.eclipse.net4j.util.ref

# Class ReferenceValueMap2.Soft<K,V>

java.lang.Object
java.util.AbstractMap<K,V>
org.eclipse.net4j.util.ref.ReferenceValueMap2<K,V>
org.eclipse.net4j.util.ref.ReferenceValueMap2.Soft<K,V>

All Implemented Interfaces:
  `Map<K,V>`

Enclosing class:
  ReferenceValueMap2<K,V>

public static class ReferenceValueMap2.Soft<K,V> extends ReferenceValueMap2<K,V>

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.net4j.util.ref.ReferenceValueMap2

`ReferenceValueMap2.Soft<K,V>, ReferenceValueMap2.Strong<K,V>, ReferenceValueMap2.Weak<K,V>`

## Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K extends Object,V extends Object>, AbstractMap.SimpleImmutableEntry<K extends Object,V extends Object>`

## Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K extends Object,V extends Object>`

## Constructor Summary

Constructors
Constructor
Description
`Soft()`
`Soft(Map<K,KeyedReference<K,V>> map)`

## Method Summary

Modifier and Type
Method
Description
`protected KeyedReference<K,V>`
`createReference(K key, V value, ReferenceQueue<V> queue)`

### Methods inherited from class org.eclipse.net4j.util.ref.ReferenceValueMap2

`clear, containsKey, containsValue, createQueue, dereference, entrySet, get, internalPurgeQueue, isEmpty, purged, purgeQueue, put, remove, removeAll, size`

### Methods inherited from class java.util.AbstractMap

`clone, equals, hashCode, keySet, putAll, toString, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

## Constructor Details

### Soft

public Soft()

### Soft

public Soft(Map<K,KeyedReference<K,V>> map)

## Method Details

### createReference

protected KeyedReference<K,V> createReference(K key, V value, ReferenceQueue<V> queue)

Specified by:
  `createReference` in class `ReferenceValueMap2<K,V>`